Add a person to a space (staff)
POST /api/communities/{communityId}/spaces/{spaceId}/members. Add a person to a space (staff). Headless LMS Communities API reference.
Staff only (owner, admin, instructor). Places a member of the community straight into the space, with no request or invitation. 409 when the space is open to all members, the person is already placed, or the space is full.
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/communities/string/spaces/string/members" \ -H "Content-Type: application/json" \ -d '{ "orgUserId": "string" }'{ "orgId": "string", "id": "string", "communityId": "string", "spaceId": "string", "orgUserId": "string", "status": "requested", "source": "request", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}List the members, requests and invitations of a space (staff) GET
GET /api/communities/{communityId}/spaces/{spaceId}/members. List the members, requests and invitations of a space (staff). Headless LMS Communities API reference.
Invite a person into a space (staff) POST
POST /api/communities/{communityId}/spaces/{spaceId}/invites. Invite a person into a space (staff). Headless LMS Communities API reference.